#%%global _unpackaged_files_terminate_build 0
%global momorel 1
%global src0_md5sum f1ad6adbbc0510eb76d352c94c801fac
Name:        mozilla
Summary:     Web browser and mail reader
Version:     1.7.12
Release:     %{momorel}m
License:     MPL and GPL and LGPL
%NoSource 0 http://ftp.mozilla.org/pub/mozilla.org/mozilla/releases/%{name}%{version}/source/%{name}-%{version}-source.tar.bz2 %{src0_md5sum}
#%%NoSource 0 	ftp://ftp.ring.gr.jp/pub/net/www/mozilla/%{name}/releases/%{name}%{version}/source/%{name}-source-%{version}.tar.bz2 %{src0_md5sum}
Source1:     mozilla.sh.in
Source2:     mozilla-icon.png
Source4:     mozilla.desktop
Source7:     mozilla-make-package.pl
Source9:     mozicon16.xpm
Source10:    mozicon50.xpm
Source11:    mozilla-rebuild-databases.pl.in
Source12:    mozilla-mail.desktop
Source13:    mozilla-mail-icon.png
Source14:    mozilla-compose.desktop
Source15:    mozilla-compose-icon.png
Source18:    mozilla-xpcom-exclude-list
Source20:    mozilla-1.2.1-xft-prefs.js
Source21:    mozilla-libart_lgpl.tar.bz2
Source100:   mozilla-remote
Source101:   mozilla-remote-tab
Patch3:      mozilla-1.5-bugjp3211.patch
Patch5:      mozilla-1.5-bug99094.patch
Patch10:     mozilla-1.5-bugjp3498-2.patch
Patch14:     mozilla-default-plugin-less-annoying.patch
Patch18:     mozilla-1.2.1-uifont.patch
patch28:     mozilla-1.4.1-ppc64.patch
Patch103:    mozilla-1.7-all.js.patch
Patch104:    mozilla-1.7-FormStyle-not-important.patch
Patch105:    mozilla-1.7-ruby.css.patch
Patch106:    mozilla-1.3b-gtkXft-FontFamilyUtf8.patch
Patch108:    mozilla-1.6-packages-unix.patch
##Patch109:    gtk2_theme_change_v1.5.diff
Patch110:    mozilla-printing.patch
Patch111:    mozilla-bug181697-ul-blocks-phrasal-closing.patch

Group:       Applications/Internet
Provides:    webclient
BuildPrereq: libpng-devel, libjpeg-devel, zip, perl
BuildPrereq: ORBit-devel, glib-devel, gtk+-devel, libIDL-devel
BuildPrereq: atk-devel
BuildPrereq: zlib-devel >= 1.2.2-2m
BuildPrereq: pango-devel >= 1.8.0
BuildPrereq: gcc, gcc-c++, autoconf
BuildPrereq: libstdc++-devel >= 3.4.1-1m
Requires:    zlib >= 1.2.2-2m
Prereq:      fileutils perl
Prereq:      psmisc
Obsoletes:   mozilla-nspr,mozilla-nss,mozilla-nspr-devel,mozilla-nss-devel
URL:         http://www.mozilla.org/
Buildroot:   %{_tmppath}/%{name}-%{version}-root

%description
Mozilla is an open-source web browser, designed for standards
compliance, performance and portability.

%package devel
Summary: Development files for Mozilla
Group: Development/Libraries
Requires: mozilla = %{version}-%{release}

%description devel
Development header files for mozilla.

%package mail
Summary: Mozilla-based mail system
Group: Applications/Internet
Prereq:      fileutils mozilla = %{version}-%{release}

%description mail
Mail/news client based on the Mozilla web browser.  The mail/news
client supports IMAP, POP, and NNTP and has an easy to use interface.

%package psm
Summary: Personal Security Manager
Group: Applications/Internet
Prereq:      fileutils mozilla = %{version}-%{release}

%description psm
The Personal Security Manager is a set of libraries that allow Mozilla
to talk to the Network Security Services layer.  It allows Mozilla to
access SSL web sites and manage cryptographic keys.

%package chat
Summary: IRC client integrated with Mozilla
Group: Applications/Internet
Prereq: fileutils mozilla = %{version}-%{release}

%description chat
IRC client that is integrated with the Mozilla web browser.

%package js-debugger
Summary: JavaScript debugger for use with Mozilla
Group: Applications/Internet
Prereq: fileutils mozilla = %{version}-%{release}

%description js-debugger
JavaScript debugger for use with Mozilla.

%package dom-inspector
Summary: A tool for inspecting the DOM of pages in Mozilla.
Group: Applications/Internet
Prereq: fileutils mozilla = %{version}-%{release}

%description dom-inspector
This is a tool that allows you to inspect the DOM for web pages in
Mozilla.  This is of great use to people who are doing Mozilla chrome
development or web page development.

%prep

%setup -q -n mozilla -a 21

# create scrollbar for / allow scrolling to overflow top (above) / left of container
%patch3 -p0

# make the plugin dialog less annoying and disable redirection to the
# plugin downloader page.
%patch14 -p1

# make it possible to set the uifont
%patch18 -p1

%patch28 -p1

%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch108 -p1
%patch110 -p1
### [bug:181697]
%patch111 -p1


%build
# build mozilla
MOZ_INTERNAL_LIBART_LGPL=1 \
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 \
  ./configure --prefix=%{_prefix} \
  --libdir=%{_libdir} \
  --mandir=%{_mandir} \
  --enable-optimize="-O2" \
  --disable-debug \
  --with-default-mozilla-five-home=%{_libdir}/mozilla-%{version} \
  --enable-strip \
  --enable-strip-libs \
  --disable-tests \
  --disable-short-wchar \
  --enable-nspr-autoconf \
  --enable-extensions=default,irc \
  --enable-image-decoders=all \
  --enable-necko-protocols=all \
  --enable-meta-components \
  --enable-crypto \
  --without-system-nspr \
  --with-system-zlib \
  --enable-default-toolkit=gtk2 \
  --disable-freetype2 \
  --enable-xft \
  --enable-xul \
  --enable-svg --enable-svg-renderer-libart --with-libart-prefix=%{_prefix}

BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 %{make} export
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 %{make} libs

%install
%{__rm} -rf %{buildroot}

BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 \
  DESTDIR=%{buildroot} \
  make install

# create a list of all of the different package and the files that
# will hold them

%{__rm} -f %{_tmppath}/mozilla.list
%{__rm} -f %{_tmppath}/mozilla-mail.list
%{__rm} -f %{_tmppath}/mozilla-psm.list
%{__rm} -f %{_tmppath}/mozilla-chat.list
%{__rm} -f %{_tmppath}/mozilla-js-debugger.list
%{__rm} -f %{_tmppath}/mozilla-dom-inspector.list
%{__rm} -f %{_tmppath}/mozilla-devel.list


# NSS and NSPR are both installed into /usr/lib instead of
# /usr/lib/mozilla-VERSION

pushd .
cd %{buildroot}%{_libdir}/mozilla-%{version}
# copy nspr
mv -v \
  libnspr4.so libplc4.so libplds4.so \
  %{buildroot}%{_libdir}/
popd


%{SOURCE7} --package nspr --output-file %{_tmppath}/mozilla.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}/%{_libdir} \
    --install-root %{_libdir}

%{SOURCE7} --package nss --output-file %{_tmppath}/mozilla.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}/%{_libdir} \
    --install-root %{_libdir}

# build all of the default browser components
# base mozilla package (mozilla.list)
%{SOURCE7} --package langenus --output-file %{_tmppath}/mozilla.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version}

%{SOURCE7} --package langjajp --output-file %{_tmppath}/mozilla.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version}

%{SOURCE7} --package regus --output-file %{_tmppath}/mozilla.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version}

%{SOURCE7} --package regjp --output-file %{_tmppath}/mozilla.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version}

%{SOURCE7} --package deflenus --output-file %{_tmppath}/mozilla.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version}

%{SOURCE7} --package xpcom --output-file %{_tmppath}/mozilla.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version} \
    --exclude-file=%{SOURCE18}

%{SOURCE7} --package browser --output-file %{_tmppath}/mozilla.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version} \

# mozilla mail (mozilla-mail.list)
%{SOURCE7} --package mail --output-file %{_tmppath}/mozilla-mail.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version}

# mozilla psm (mozilla-psm.list)
%{SOURCE7} --package psm --output-file %{_tmppath}/mozilla-psm.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version} \

# mozilla chat (mozilla-chat.list)
%{SOURCE7} --package chatzilla --output-file %{_tmppath}/mozilla-chat.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version}

# mozilla JS debugger (mozilla-js-debugger.list)
%{SOURCE7} --package venkman --output-file %{_tmppath}/mozilla-js-debugger.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version}

# mozilla DOM inspector (mozilla-dom-inspector.list)
%{SOURCE7} --package inspector --output-file %{_tmppath}/mozilla-dom-inspector.list \
    --package-file %{_builddir}/mozilla/xpinstall/packager/packages-unix \
    --install-dir %{buildroot}/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version}

# build our initial component and chrome registry


pushd `pwd`
  cd %{buildroot}/%{_libdir}/mozilla-%{version}

  # save a copy of the default installed-chrome.txt file before we
  # muck with it
  mkdir chrome/lang
  cp chrome/installed-chrome.txt chrome/lang/

  # register our components
  LD_LIBRARY_PATH=`pwd`:`pwd`/.. MOZILLA_FIVE_HOME=`pwd` ./regxpcom

  # set up the default skin and locale to trigger the generation of
  # the user-locales and users-skins.rdf
  echo "skin,install,select,classic/1.0" >> chrome/installed-chrome.txt
  echo "locale,install,select,en-US" >> chrome/installed-chrome.txt

  # save the defaults in a file that will be used later to rebuild the
  # installed-chrome.txt file
  echo "skin,install,select,classic/1.0" >> chrome/lang/default.txt
  echo "locale,install,select,en-US" >> chrome/lang/default.txt

  # set up the chrome rdf files
  LD_LIBRARY_PATH=`pwd`:`pwd`/.. MOZILLA_FIVE_HOME=`pwd` ./regchrome

  # fix permissions of the chrome directories
  /usr/bin/find . -type d -perm 0700 -exec chmod 755 {} \; || :
popd

# cp -L (dereference all symlinks) is required for fileutils >= 2.0.27
# (POSIX compliance); prior versions don't understand -L, so fall back...

# copy the nss files to the right place
mkdir %{buildroot}/%{_prefix}/include/mozilla-%{version}/nss/

/usr/bin/find security/nss/lib/ -name '*.h' -type f -exec /bin/cp {} \
 %{buildroot}/%{_prefix}/include/mozilla-%{version}/nss/ \;

find %{buildroot}/%{_includedir}/mozilla-%{version}/ -type f | \
  sed -e "s,%{buildroot},," > \
  %{_tmppath}/mozilla-devel.list
find %{buildroot}/%{_includedir}/mozilla-%{version}/ -type d | \
  sed -e "s,%{buildroot},%%dir ," >> \
  %{_tmppath}/mozilla-devel.list

# copy our idl into place
#mkdir -p %{buildroot}/%{_prefix}/share/idl/mozilla-%{version}
#(cd dist/idl ; tar chf - * | \
#  (cd %{buildroot}/%{_prefix}/share/idl/mozilla-%{version} ; \
#   tar xvf -))

# copy our devel tools
install -c -m 755 dist/bin/xpcshell \
  dist/bin/xpidl \
  dist/bin/xpt_dump \
  dist/bin/xpt_link \
  %{buildroot}/%{_libdir}/mozilla-%{version}

# set up our desktop files
/bin/mkdir -p %{buildroot}%{_datadir}/pixmaps
/bin/mkdir -p %{buildroot}%{_datadir}/applications

install -c -m 644 %{SOURCE2} %{SOURCE13} %{SOURCE15} \
  %{buildroot}%{_datadir}/pixmaps/

install -c -m 644  %{SOURCE4} %{SOURCE12} %{SOURCE14} \
  %{buildroot}%{_datadir}/applications/

if [ ! -d %{buildroot}/%{_libdir}/mozilla-%{version}/icons/ ]; then
  mkdir -m 755 %{buildroot}/%{_libdir}/mozilla-%{version}/icons
fi

if [ ! -d %{buildroot}/%{_libdir}/mozilla-%{version}/plugins/ ]; then
  mkdir -m 755 %{buildroot}/%{_libdir}/mozilla-%{version}/plugins
fi

# our icons are better!
install -c -m 644 %{SOURCE9} %{buildroot}/%{_libdir}/mozilla-%{version}/icons/
install -c -m 644 %{SOURCE10} %{buildroot}/%{_libdir}/mozilla-%{version}/icons/

# install our mozilla.sh file
cat %{SOURCE1} | sed -e 's/MOZILLA_VERSION/%{version}/g' \
         -e 's,LIBDIR,%{_libdir},g' > \
  %{buildroot}/%{_bindir}/mozilla

chmod 755 %{buildroot}/%{_bindir}/mozilla

# install our rebuild file
cat %{SOURCE11} | sed -e 's/MOZILLA_VERSION/%{version}/g' \
          -e 's,LIBDIR,%{_libdir},g' > \
  %{buildroot}/%{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl

chmod 755 \
  %{buildroot}/%{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl

# install the defaults fonts for xft
cp %{SOURCE20} %{buildroot}/%{_libdir}/mozilla-%{version}/defaults/pref/xft.js

# we own /usr/lib/mozilla/plugins which is the version-independent
# place that plugins can be installed
/bin/mkdir -p %{buildroot}/%{_libdir}/mozilla/plugins

# install the gre.conf file
#echo [%{version}] > \
#  %{buildroot}/%{_libdir}/mozilla-%{version}/gre.conf
#echo GRE_PATH=%{_libdir}/mozilla-%{version} >> \
#  %{buildroot}/%{_libdir}/mozilla-%{version}/gre.conf
/bin/mkdir -p %{buildroot}%{_sysconfdir}
echo [%{version}] > \
  %{buildroot}%{_sysconfdir}/gre.conf
echo GRE_PATH=%{_libdir}/mozilla-%{version} >> \
  %{buildroot}%{_sysconfdir}/gre.conf

install -m 0755 %{SOURCE100} %{buildroot}%{_bindir}/
install -m 0755 %{SOURCE101} %{buildroot}%{_bindir}/

%clean
/bin/rm -rf %{buildroot}
/bin/rm -f %{_tmppath}/mozilla.list
/bin/rm -f %{_tmppath}/mozilla-mail.list
/bin/rm -f %{_tmppath}/mozilla-psm.list
/bin/rm -f %{_tmppath}/mozilla-chat.list
/bin/rm -f %{_tmppath}/mozilla-js-debugger.list
/bin/rm -f %{_tmppath}/mozilla-dom-inspector.list
/bin/rm -f %{_tmppath}/mozilla-devel.list


%post
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun
/sbin/ldconfig >/dev/null 2>/dev/null
# was this an upgrade?
if [ "$1" == "2" ]; then
  if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
  fi
fi

%triggerpostun -- mozilla < 1.0
# Older packages will leave mozilla unusable after the postun script
# script is run for the old package.  Rebuild the databases after that
# has been run.
if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%preun
# is a final removal?
if [ "$1" == "0" ]; then
  /bin/rm -rf %{_libdir}/mozilla-%{version}/chrome/overlayinfo
  /bin/rm -f %{_libdir}/mozilla-%{version}/chrome/*.rdf
fi

%post mail
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun mail

# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%post psm
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun psm
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%post chat
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun chat
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%post js-debugger
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun js-debugger
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%post dom-inspector
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun dom-inspector
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
  %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%files -f %{_tmppath}/mozilla.list
%defattr(-,root,root)
%{_bindir}/mozilla
%{_bindir}/mozilla-remote
%{_bindir}/mozilla-remote-tab
%{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
%{_sysconfdir}/gre.conf
%{_datadir}/pixmaps/mozilla-icon.png
%{_datadir}/pixmaps/mozilla-mail-icon.png
%{_datadir}/pixmaps/mozilla-compose-icon.png

%{_libdir}/mozilla-%{version}/defaults/pref/xft.js
%exclude %{_libdir}/mozilla-%{version}/defaults/pref/inspector.js

%verify (not md5 mtime size) %{_libdir}/mozilla-%{version}/components/compreg.dat
%verify (not md5 mtime size) %{_libdir}/mozilla-%{version}/components/xpti.dat

%dir %{_libdir}/mozilla-%{version}/defaults/pref
%dir %{_libdir}/mozilla-%{version}/defaults/profile/US
%dir %{_libdir}/mozilla-%{version}/defaults/profile
%dir %{_libdir}/mozilla-%{version}/defaults/wallet
%dir %{_libdir}/mozilla-%{version}/defaults/autoconfig
%dir %{_libdir}/mozilla-%{version}/defaults/messenger/US
%dir %{_libdir}/mozilla-%{version}/defaults/messenger
%dir %{_libdir}/mozilla-%{version}/defaults

%dir %{_libdir}/mozilla-%{version}/chrome/icons/default
%dir %{_libdir}/mozilla-%{version}/chrome/icons
%dir %{_libdir}/mozilla-%{version}/chrome/lang
%dir %{_libdir}/mozilla-%{version}/chrome

#%%dir %{_libdir}/mozilla-%{version}/res/builtin
%dir %{_libdir}/mozilla-%{version}/res/rdf
%dir %{_libdir}/mozilla-%{version}/res/dtd
%dir %{_libdir}/mozilla-%{version}/res/fonts
%dir %{_libdir}/mozilla-%{version}/res

%dir %{_libdir}/mozilla-%{version}/components
%dir %{_libdir}/mozilla-%{version}/icons
%{_libdir}/mozilla-%{version}/icons/mozicon16.xpm
%{_libdir}/mozilla-%{version}/icons/mozicon50.xpm

%dir %{_libdir}/mozilla-%{version}/searchplugins

%dir %{_libdir}/mozilla-%{version}/plugins
%dir %{_libdir}/mozilla-%{version}/res/html
%dir %{_libdir}/mozilla-%{version}/res/samples
%dir %{_libdir}/mozilla-%{version}/res/entityTables

%dir %{_libdir}/mozilla-%{version}
%dir %{_libdir}/mozilla/plugins

%{_mandir}/man1/mozilla.1*

%{_libdir}/mozilla-%{version}/chrome/lang/installed-chrome.txt
%{_libdir}/mozilla-%{version}/chrome/lang/default.txt

%{_datadir}/applications/mozilla.desktop

%{_libdir}/mozilla-%{version}/TestGtkEmbed
%{_libdir}/mozilla-%{version}/chrome/chrome.rdf
%{_libdir}/mozilla-%{version}/chrome/embed-sample.jar
%{_libdir}/mozilla-%{version}/chrome/icons/default/calendar-window.xpm
%{_libdir}/mozilla-%{version}/chrome/icons/default/calendar-window16.xpm
%{_libdir}/mozilla-%{version}/chrome/icons/default/default.xpm
%{_libdir}/mozilla-%{version}/chrome/overlayinfo/browser/content/overlays.rdf
%{_libdir}/mozilla-%{version}/chrome/overlayinfo/browser/skin/stylesheets.rdf
%{_libdir}/mozilla-%{version}/chrome/overlayinfo/communicator/content/overlays.rdf
%{_libdir}/mozilla-%{version}/chrome/overlayinfo/cookie/content/overlays.rdf
%{_libdir}/mozilla-%{version}/chrome/overlayinfo/editor/content/overlays.rdf
%{_libdir}/mozilla-%{version}/chrome/overlayinfo/global/skin/stylesheets.rdf
%{_libdir}/mozilla-%{version}/chrome/overlayinfo/inspector/content/overlays.rdf
%{_libdir}/mozilla-%{version}/chrome/overlayinfo/messenger/content/overlays.rdf
%{_libdir}/mozilla-%{version}/chrome/overlayinfo/navigator/content/overlays.rdf
%{_libdir}/mozilla-%{version}/chrome/svg.jar
%{_libdir}/mozilla-%{version}/components/dom_loadsave.xpt
%{_libdir}/mozilla-%{version}/components/gksvgrenderer.xpt
%{_libdir}/mozilla-%{version}/components/ipcd.xpt
%{_libdir}/mozilla-%{version}/components/libipcdc.so
%{_libdir}/mozilla-%{version}/components/libmyspell.so
%{_libdir}/mozilla-%{version}/components/libspellchecker.so
%{_libdir}/mozilla-%{version}/components/libsystem-pref.so
%{_libdir}/mozilla-%{version}/components/lwbrk.xpt
%{_libdir}/mozilla-%{version}/components/myspell/en-US.aff
%{_libdir}/mozilla-%{version}/components/myspell/en-US.dic
%{_libdir}/mozilla-%{version}/components/nsInterfaceInfoToIDL.js
%{_libdir}/mozilla-%{version}/components/nsResetPref.js
%{_libdir}/mozilla-%{version}/components/nsUpdateNotifier.js
%{_libdir}/mozilla-%{version}/components/prefetch.xpt
%{_libdir}/mozilla-%{version}/components/profilesharingsetup.xpt
%{_libdir}/mozilla-%{version}/components/spellchecker.xpt
%{_libdir}/mozilla-%{version}/defaults/profile/US/chrome/userChrome-example.css
%{_libdir}/mozilla-%{version}/defaults/profile/US/chrome/userContent-example.css
%{_libdir}/mozilla-%{version}/defaults/profile/chrome/userChrome-example.css
%{_libdir}/mozilla-%{version}/defaults/profile/chrome/userContent-example.css
%{_libdir}/mozilla-%{version}/ipc/modules/liblockmodule.so
%{_libdir}/mozilla-%{version}/ipc/modules/libtransmgr.so
%{_libdir}/mozilla-%{version}/mozilla-ipcd
%{_libdir}/mozilla-%{version}/res/arrowd.gif
%{_libdir}/mozilla-%{version}/res/rdf/dom-test-4.css
%{_libdir}/mozilla-%{version}/res/rdf/ignore-test.xul
%{_libdir}/mozilla-%{version}/res/sample.unixpsfonts.properties
%{_libdir}/mozilla-%{version}/res/samples/sampleimages/bongo.gif
%{_libdir}/mozilla-%{version}/res/samples/sampleimages/down.gif
%{_libdir}/mozilla-%{version}/res/samples/sampleimages/left.gif
%{_libdir}/mozilla-%{version}/res/samples/sampleimages/right.gif
%{_libdir}/mozilla-%{version}/res/samples/sampleimages/up.gif
%{_libdir}/mozilla-%{version}/res/throbber/anim.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims00.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims01.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims02.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims03.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims04.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims05.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims06.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims07.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims08.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims09.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims10.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims11.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims12.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims13.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims14.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims15.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims16.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims17.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims18.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims19.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims20.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims21.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims22.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims23.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims24.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims25.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims26.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims27.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims28.gif
%{_libdir}/mozilla-%{version}/res/throbber/anims29.gif
%{_libdir}/mozilla-%{version}/res/viewer.properties

%files mail -f %{_tmppath}/mozilla-mail.list
%defattr(-,root,root)
%{_datadir}/applications/mozilla-mail.desktop
%{_datadir}/applications/mozilla-compose.desktop

%files psm -f %{_tmppath}/mozilla-psm.list
%defattr(-,root,root)

%files chat -f %{_tmppath}/mozilla-chat.list
%defattr(-,root,root)

%files js-debugger -f %{_tmppath}/mozilla-js-debugger.list
%defattr(-,root,root)

%files dom-inspector -f %{_tmppath}/mozilla-dom-inspector.list
%defattr(-,root,root)

%files devel -f %{_tmppath}/mozilla-devel.list
%defattr(-,root,root)
%{_datadir}/idl/mozilla-%{version}/*
%{_libdir}/mozilla-%{version}/xpcshell
%{_libdir}/mozilla-%{version}/xpidl
%{_libdir}/mozilla-%{version}/xpt_dump
%{_libdir}/mozilla-%{version}/xpt_link
%{_libdir}/pkgconfig/*
%{_bindir}/mozilla-config
%{_datadir}/aclocal/nspr.m4

%changelog
* Fri Sep 23 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.12-1m)
- update to 1.7.12
- [Security] http://www.mozilla.org/security/announce/mfsa2005-58.html etc

* Sat Sep 10 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.11-3m)
- [Security] https://addons.mozilla.org/messages/307259.html

* Sun Aug  7 2005 TASHIRO Hideo <tashiron@momonga-linux.org>
- (1.7.11-2m)
- enable x86_64. (modify mozilla.sh.in)

* Sun Jul 31 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.11-1m)
- update to 1.7.11

* Sun Jul 24 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.10-1m)
- security fixes
-  http://www.mozilla.org/security/announce/mfsa2005-56.html
-  etc

* Fri May 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.7.8-2m)
- suppress AC_DEFUN warning.

* Thu May 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.7.8-1m)
- security fixes
-   http://www.mozilla.org/security/announce/mfsa2005-42.html

* Mon Apr 18 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.7-2m)
- add mozilla-libart_lgpl.tar.bz2 (from mozilla-1.7.6)

* Sat Apr 16 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.7.7-1m)
- security fixes
-   http://www.mozilla.org/security/announce/mfsa2005-37.html
-   http://www.mozilla.org/security/announce/mfsa2005-41.html
-   etc.

* Thu Mar 28 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (1.7.6-2m)
- enable build on ppc64 kernel

* Thu Mar 24 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.7.6-1m)
- security fix
-   http://www.mozilla.org/security/announce/mfsa2005-30.html
-   http://www.mozilla.org/security/announce/mfsa2005-32.html

* Thu Feb 17 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.7.5-2m)
- move desktop files to %%{_datadir}/applications/
- import new desktop files from VineSeed
- import png icons from VineSeed

* Sun Jan 16 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- source URL update. kossori.

* Fri Dec 24 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.5-1m)
- update to 1.7.5

* Sun Nov 14 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.3-4m)
- add patch111
  [bug:181697]
  https://bugzilla.mozilla.org/show_bug.cgi?id=181697

* Wed Sep 29 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.7.3-3m)
- rebuild against libstdc++-3.4.1

* Wed Sep 29 2004 kourin <kourin@fh.freeserve.ne.jp>
- (1.7.3-2m)
- bugfix. apply mozilla-printing.patch
  see http://lists.sourceforge.jp/mailman/archives/kazehakase-devel/2004-September/001579.html

* Thu Sep 16 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.3-1m)
- security update.
  see. http://jt.mozilla.gr.jp/projects/security/known-vulnerabilities.html#mozilla1.7.3

* Mon Aug  9 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.2-2m)
- change source URL.

* Sat Aug  7 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.2-1m)
- security update
  bug 251381, 249004, 250906, 253121
  see. http://jt.mozilla.gr.jp/projects/security/known-vulnerabilities.html#mozilla1.7.2
       http://bugzilla.mozilla.org/buglist.cgi?bug_id=251381,249004,250906,253121

* Mon Aug  2 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-4m)
- security update
  [bug249004]
    http://bugzilla.mozilla.org/show_bug.cgi?id=249004
  [bug253121]
    http://bugzilla.mozilla.org/show_bug.cgi?id=253121

* Wed Jul 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-3m)
- revise %%files

* Tue Jul  6 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-2m)
- remove Epoch tag.

* Tue Jul  6 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-1m)
- update to 1.7

* Wed Mar 31 2004 Toru Hoshina <t@momonga-linux.org>
- (1.6-6m)
- Epoch, the company that is known as "the ballpark" game vendor.

* Wed Mar 24 2004 Toru Hoshina <t@momonga-linux.org>
- (1.6-5m)
- revised spec for rpm 4.2
- set _unpackaged_files_terminate_build as 0, avoid remove each messy stuff.

* Tue Mar  2 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.6-4m)
- a little modify mozilla-1.6-ruby-support.patch

* Mon Mar  1 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.6-3m)
- fix typo in mozilla-remote-tab

* Mon Mar  1 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.6-2m)
- add mozilla-remote-tab

* Sat Jan 17 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.6-1m)
- update to 1.6
- remove some unuse patch.

* Wed Dec 17 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-11m)
- add patch12
  [bug-org#201209]
    http://bugzilla.mozilla.org/show_bug.cgi?id=201209
  [bug-jp#3551]
    http://bugzilla.mozilla.gr.jp/show_bug.cgi?id=3551

* Sat Dec 13 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-10m)
- add patch11
  [bug-org#228176]
    http://bugzilla.mozilla.org/show_bug.cgi?id=228176

* Sun Nov 30 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-9m)
- add patch8,9,10
  [bug-jp#3500]
    http://bugzilla.mozilla.gr.jp/show_bug.cgi?id=3500
  [bug-org#226637]
    http://bugzilla.mozilla.org/show_bug.cgi?id=226637
  [bug-jp#3498]
    http://bugzilla.mozilla.gr.jp/show_bug.cgi?id=3498

* Sat Nov 15 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-8m)
- modify mozilla-rebuild-databases.pl for mozilla-extensions packages.

* Fri Nov 14 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-7m)
- add patch7
  [bug-org#102578] [bug-jp#2997]
  see. http://bugzilla.mozilla.org/show_bug.cgi?id=102578
       http://bugzilla.mozilla.gr.jp/show_bug.cgi?id=2997

* Thu Oct 30 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (1.5-6m)
- revise %%files
   remove directories from mozilla-mail those are already included in main package
     %%dir %%{_libdir}/mozilla-%%{version}/chrome/icons/default
     %%dir %%{_libdir}/mozilla-%%{version}/chrome/icons
     %%dir %%{_libdir}/mozilla-%%{version}/chrome
     %%dir %%{_libdir}/mozilla-%%{version}/components
     %%dir %%{_libdir}/mozilla-%%{version}
   add directories under %%{_includedir}/mozilla-%%{version} to mozilla-devel

* Wed Oct 29 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.5-5m)
- append some patches from bugzilla-jp, bugzilla.
  [bug-jp#3211]
    see. http://bugzilla.mozilla.gr.jp/show_bug.cgi?id=3211
  [bug#208095]
     http://bugzilla.mozilla.org/show_bug.cgi?id=208095
  [bug#99094]
    http://bugzilla.mozilla.org/show_bug.cgi?id=99094
  [bug#223394]
    http://bugzilla.mozilla.org/show_bug.cgi?id=223394

* Mon Oct 20 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.5-4m)
- appended some patches.
  [bug#187899]
    see. http://bugzilla.mozilla.org/show_bug.cgi?id=187899
  [bug#85908]
    see. http://bugzilla.mozilla.org/show_bug.cgi?id=85908

* Sun Oct 19 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.5-3m)
- modify configure's options.

* Sun Oct 19 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.5-2m)
- append configure's option "--enable-strip". (Why removed?)

* Thu Oct 16 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.5-1m)
- update to 1.5

* Tue Aug 19 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.4-2m)
- add mozilla-remote which first execute mozilla with -remote, then without -remote if failed

* Wed Jul  2 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.4-1m)
- update to 1.4
- remade patches. (103,104)
- remove patch100. (we don't need it any more.)
- build with gcc3.2

* Fri May 16 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.3.1-1m)
- update to 1.3.1
- use %%{?_smp_mflags}

* Wed Apr 16 2003 kourin <kourin@fh.freeserve.ne.jp>
- (1.3-5m)
- update mozilla-gtk2im.patch
- add BuildPrereq libIDL-devel

* Sat Apr 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3-4m)
- add BuildPrereq: libstdc++2.96-devel
- add Requires: zlib >= 1.1.4-5m

* Tue Apr 08 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3-3m)
- rebuild against zlib 1.1.4-5m

* Fri Mar 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3-1m)
- version 1.3

* Sun Mar  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3b-9m)
- add URL
- use rpm macros

* Sun Mar  9 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.3b-8m)
- enable SVG support again.
- enable MNG support again.
- modify default font setting to unix.js

* Fri Mar  7 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.3b-7m)
- update jlp

* Fri Mar  7 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3b-6m)
- fix -devel filelist.

* Thu Mar  6 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3b-5m)
- merge sub packages
- add mozilla-1.3b-gtkXft-FontFamilyUtf8.patch

* Thu Mar  6 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3b-4m)
- add some patches

* Thu Mar  6 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3b-3m)
- fix jlp

* Thu Mar  6 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3b-2m)
- add jlp

* Wed Mar  5 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3b-1m)
- initial for 1.3b with gtk2

* Wed Mar  5 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.1-11m)
- a little modify unix.js

* Tue Feb 25 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.1-10m)
- add BuildPrereq: unzip >= 5.50 for exec unzip in spec file

* Mon Feb 10 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.1-9m)
- stop %postun script. (suman ittekuru...)

* Mon Feb 10 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.1-8m)
- clean up script in "%%postun" (not %%preun)
- modify patch1 (for Xft2)

* Wed Feb  5 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.2.1-7m)
- use gcc2.96 for C++ ABI compatibility with plugins (except ppc)
  see [Momonga-devel.ja:01338]

* Fri Jan 24 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.1-6m)
- clean up in %%preun.

* Sun Jan 12 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.1-5m)
- add patch for Xft UTF-8 font family name.
  see http://www.kde.gr.jp/~akito/patch/fcpackage/Install-ja.txt
- 'pref("nglayout.initialpaint.delay", 0)' is default. (on all.js)

* Wed Dec 25 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.1-4m)
- add some patches.
  [bug128572] http://bugzilla.mozilla.org/show_bug.cgi?id=128572
  [bug181644] http://bugzilla.mozilla.org/show_bug.cgi?id=181644

* Wed Dec 11 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.1-3m)
- use system image libs.

* Sat Dec  7 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.1-2m)
- jlp update. (to kv0.4)
- import Xft source from fcpackages source tree.
- import freetype source from freetype2 source tree.

* Thu Dec  5 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.1-1m)
- update to version 1.2.1 (with Xft2)

* Thu Nov 28 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.1-11m)
- use gcc2.96 on ppc

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.1-10m)
- use gcc-3.2

* Thu Nov  7 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.1-9m)
- %%include_specopt requires %%name...

* Tue Nov  5 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.1-8m)
- change initial setting.
    freetype2 support is default. (on unix.js)
- delete some unused patches.

* Fri Nov  1 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.1-7m)
- Change default configure option (Xft not support)
  I tested other some option.
  However, all of them were dangerous. (T_T)

* Wed Oct 30 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.1-6m)
- modified configure option.
  added --enable-system-{jpeg,png,mng}

* Sun Oct 27 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.1-5m)
- modified configure option.
  added --enable-xft.
  default toolkit changed to gtk.
- JLP version up to 0.8.
- cleaned up old patches.

* Tue Oct  8 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.1-4m)
- fix petit wazilla patch. (sumanu... ;-p)

* Mon Oct  7 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.1-3m)
- add some patches from wazilla project.

* Wed Sep 18 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.1-2m)
- fix bug145579 (future_referer)
  http://bugzilla.mozilla.org/show_bug.cgi?id=145579

* Wed Sep 18 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.1-1m)
- version up.

* Tue Aug 16 2002 Kenta MURATA <muraken2@nifty.com>
- (1.0-15m)
- implements openURL(url, new-tab).

* Tue Aug  6 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-14m)
- fix #bug 101827
  http://bugzilla.mozilla.org/show_bug.cgi?id=101827
- fix #bug 136087
  http://bugzilla.mozilla.org/show_bug.cgi?id=136087

* Tue Aug  6 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-13m)
- fix FTP View cross site scripting vulnerability.

* Fri Aug  2 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-12m)
- fix set number of CPUS statement.
- add some patches from wazilla.

* Tue Jul 30 2002 smbd <smbd@momonga-linux.org>
- (1.0-11m)
- [security]
- fix possible cookie stealing using javascript
- see http://bugzilla.mozilla.org/show_bug.cgi?id=152725

* Fri Jul  5 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-10m)
- sumaso... remake ruby support patch.

* Thu Jul  4 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-8k)
- XHTML 1.1 ruby module support
- fix too big font vulnerability.

* Sat Jun  8 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-6k)
  JLP 1.0-2

* Thu Jun  6 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.0-4k)
  JLP 1.0-1

* Thu Jun  6 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.0-2k)
  update to 1.0

* Sun Jun  2 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-0.3.8k)
- clean up patches.
- add patch #12 (Bug#143031)
  see -> http://bugzilla.mozilla.org/show_bug.cgi?id=143031
- remake patch#2

* Fri May 31 2002 Shigeyuki Yamashita <shige@kondara.org>
- (1.0-0.3.6k)
- rebuild against gcc 2.96
- remove patch #42 (mozilla-1.0.0rc3-gcc2.95.3.patch)

* Sat May 25 2002 Shigeyuki Yamashita <shige@kondara.org>
- add patch #42 (mozilla-1.0.0rc3-gcc2.95.3.patch)
- remove patches (#1,#6,#39)

* Fri May 17 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-0.2.6k)
- add patch39
  Bug#143607
  http://bugzilla.mozilla.org/show_bug.cgi?id=143607

* Mon May 13 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-0.2.4k)
- remake some patches (patch No. 15, 23, 24, 25)
- fix mozilla.sh (for emacs url open)

* Mon May 13 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.0-0.2.2k)
  update to 1.0rc2

* Fri May 10 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-0.1.12k)
- remove patch patch33

* Thu May  9 2002 Shigeyuki Yamashita <shige@kondara.org>
- (1.0-0.1.10k)
- add patch patch39
  Bug#105537 (see http://bugzilla.mozilla.org/show_bug.cgi?id=141061)

* Sat May  4 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.0-0.1.8k)
  jlp 1.0rc1 v1.0

* Sat Apr 27 2002 Toshiro HIKITA <toshi@sodan.org>
- (1.0-0.1.6k)
- add xremote-client from official package
- update mozilla.sh from official package

* Fri Apr 26 2002 Toshiro HIKITA <toshi@sodan.org>
- (1.0-0.1.4k)
- rebuild-databases.sh -> mozilla-rebuild-databases.pl
  as change in official src.rpm (1.0rc1-0)

* Fri Apr 26 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.0-0.1.2k)
  update to 1.0rc1
  jlp 1.0rc1 v0.1

* Thu Apr 25 2002 zunda <zunda@kondara.org>
- (0.9.8-44k)
- make export and make libs deleted to build wihtout mozilla-mail installed

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.9.8-42k)
- rebuild against libpng 1.2.2.

* Wed Apr  3 2002 Kenta MURATA <muraken@kondara.org>
- (0.9.8-40k)
- BuildPreReq: ccache

* Sun Mar 31 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.8-38k)
- very verbose configure :-p

* Sat Mar 16 2002 Kenta MURATA <muraken@kondara.org>
- (0.9.8-36k)
- merge from MOZILLA_SVG_TEST branch.

* Sat Mar 16 2002 Kenta MURATA <muraken@kondara.org>
- (0.9.8-34.2k)
- use system libart_lgpl.

* Sat Mar 16 2002 Kenta MURATA <muraken@kondara.org>
- (0.9.8-34.1k)
- svg test branch.

* Tue Mar 12 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.9.8-34k)
- added configure param --with-system-zlib

* Sat Mar  9 2002 Shingo Akagaki <dora@kondara.org>
- (0.9.8-32k)
- remove NO_XALF flag from all spec files

* Thu Mar  7 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.8-30k)
- fix install section

* Wed Mar  6 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (0.9.8-28k)
- enable to build

* Tue Mar  5 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.8-26k)
- miss packaging...

* Fri Mar  1 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.8-24k)
- add patch patch37
  modified chatzilla.properties of mozilla0.9.8-langjajp-v1.0.xpi

* Fri Mar  1 2002 Kenta MURATA <muraken@kondara.org>
- (0.9.8-22k)
- hack the MathML features. (add patch36)

* Wed Feb 27 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.8-20k)
- sumanu....

* Tue Feb 26 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.8-18k)
- add DOM Inspector package.
- modified startup script
- add patches
  mozilla-0.9.8-filepicker.patch
  mozilla-0.9.8-ja-JP-filepicker.patch (for lang ja-JP)

* Sun Feb 24 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.8-16k)
- fix font size of chatzilla (default is 14pt)

* Thu Feb 21 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.8-14k)
- add kondara icon png for search plugin.
- kondara.src become independent from a patch.

* Thu Feb 21 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.8-12k)
- update JLP(Japan Language Pack) v1.0
- update regjp-kondara.patch
- add patch mozilla-0.9.8-ctrl+enter-newtab.patch
  Bug#105537 (see http://bugzilla.mozilla.org/show_bug.cgi?id=105537)

* Tue Feb 19 2002 Shingo Akagaki <dora@kondara.org>
- (0.9.8-10k)
- remove NO_XALF flag from mozilla.spec

* Fri Feb 15 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.8-8k)
- remade ui font patches
- patch from trunk
  problems with caret positioning on textarea.
  Bug#8365 (see -> http://bugzilla.mozilla.org/show_bug.cgi?id=83650)

* Thu Feb 14 2002 Shingo Akagaki <dora@kondara.org>
- (0.9.8-6k)
- add overlay-menu.patch editor-overlay-menu.patch  mozilla-prefs-debug.patch
- update regjp-kondara.patch

* Wed Feb 06 2002 Toshiro Hikita <toshi@sodan.org>
- (0.9.8-4k)
- update JLP(Japan Language Pack) v0.1
- update regjp-kondara.patch

* Wed Feb 06 2002 Toshiro Hikita <toshi@sodan.org>
- (0.9.8-2k)
- updated to 0.9.8
- remove overlay-menu.patch editor-overlay-menu.patch
   font.patch ircjis.patch kondaraUIfont.patch customtab.patch
   UIfont.jar.mn.patch enable_mng.patch pref-languages-add.patch
   readonly-textinput.patch
- add extlibart.patch
- requires libart_lgpl-devel
- update mozilla-make-package.pl

* Tue Jan 22 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.6-28k)
- update JLP(Japan Language Pack) v1.0

* Fri Dec  7 2001  Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.9.6-24k)
- revised spec to act properly on the build environment regardless smp/ump.

* Fri Dec  7 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.6-22k)
- add mozilla-0.9.6-readonly-textinput.patch
  c.f http://bugzilla.mozilla.org/show_bug.cgi?id=109265

* Fri Dec  7 2001 Shingo Akagaki <dora@kondara.org>
- (0.9.6-20k)
- more clean in %clean section

* Wed Dec  5 2001 Shingo Akagaki <dora@kondara.org>
- (0.9.6-18k)
- sarani change gtktooltip.patch

* Wed Dec  5 2001 Shingo Akagaki <dora@kondara.org>
- (0.9.6-16k)
- change gtktooltip.patch

* Tue Dec  4 2001 Shingo Akagaki <dora@kondara.org>
- (0.9.6-14k)
- gtktooltip.patch

* Fri Nov 30 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.6-12k)
- remake langpack patch and mng patch
- chatzilla return

* Fri Nov 30 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.6-10k)
- mozilla-0.9.6-pref-languages-add.patch
  c.f. http://bugzilla.mozilla.org/show_bug.cgi?id=109629

* Thu Nov 29 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.6-8k)
- add enable mng patch(mozilla-0.9.6-enabele_mng.patch)

* Tue Nov 27 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.6-6k)
- add mozilla-0.9.6-formControl-fix.patch
  fix 0.9.6's form control.

* Tue Nov 27 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.6-4k)
- fixed Souece12: tag.

* Mon Nov 26 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.6-2k)
- update to 0.9.6 and remake patches (%patch23,24,25)
- added CSS kondarafont.css for UI setting
- added patch kondaraUIfont.jar.mn.patch
  for modern and classic skin

* Fri Nov 23 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.5-20k)
- modified mozilla-0.9.5-kondara-all.js.patch
  changed pref 'browser.tabs.opentabfor.urlbar' in default
  setting.
- delete mozilla-0.9.5-kondara-closebox-fix.patch
- added mozilla-0.9.5-kondara-customtab.patch

* Sun Nov 18 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.5-18k)
- added a patch(mozilla-0.9.5-kondara-closebox-fix.patch)
  change an appearance when mouse was hover on closebox of
  tabview.
- modified UI font setting. (added patch for classic skin.)
- added a patch(mozilla-0.9.5-kondara-all.js.patch)
  + change middle button's action.
  + word wrap of souce view.

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (0.95-16k)
- nigittenu

* Tue Nov 13 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- fix UI font setting again.(T_T)

* Fri Nov  9 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- modified UI setting again.

* Fri Nov  2 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.5-10k)
- modified UI setting (modified userChrome.css)
- add --with-pthreads --enable-mathml --enable-svg parameter

* Wed Oct 31 2001 Toshiro Hikita <toshi@sodan.org>
- (0.9.5-8k)
- add new patches from mozilla-0.9.5-0vl1.src.rpm from Vine
   mozilla-0.9.3-ircjis.patch
   c.f. http://bugzilla.mozilla.gr.jp/show_bug.cgi?id=71
- add new patches from bugzilla DB
   mozilla-0.9.5-mailsort.patch
   c.f. http://bugzilla.mozilla.org/show_bug.cgi?id=94103
   mozilla-0.9.5-smtpportcheck.patch
   c.f. http://bugzilla.mozilla.org/show_bug.cgi?id=96309
   mozilla-0.9.5-smtpportfix.patch
   c.f. http://bugzilla.mozilla.org/show_bug.cgi?id=106631
- add BuildPreReq fileutils >= 4.1 for cp -fRL

* Wed Oct 24 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update jlp to ver 1.0

* Tue Oct 16 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update to 0.9.5

* Sun Oct  7 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update langjajp and regjp to release version

* Tue Oct  2 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update langjajp and regjp to RC2

* Mon Jun 18 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- update JLP

* Sat Jun 16 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- fix SOURCE12 URI and SOURCE13 name

* Thu Jun 14 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 0.9.1

* Mon May 21 2001 Shingo Akagaki <dora@kondara.org>
- add  bug-78483.patch
- add  bug-80059.patch

* Sat May 19 2001 Shingo Akagaki <dora@kondara.org>
- update jlp

* Thu May 17 2001 Shingo Akagaki <dora@kondara.org>
- bug-74284.patch
- update jlp

* Wed May 16 2001 Shingo Akagaki <dora@kondara.org>
- bug-53989.patch

* Wed May 16 2001 Shingo Akagaki <dora@kondara.org>
- bug-79551.patch

* Tue May 15 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- dont use xalf

* Thu May 10 2001 Shingo Akagaki <dora@kondara.org>
- remerge rawhide spec

/* Sat Apr 28 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add script to do all the db rebuilds for us.
/- Add versioned prereqs
/
/* Tue Apr 24 2001 Christopher Blizzard <blizzard@redhat.com>
/- Move .so libraries that aren't components to /usr/lib
/- Move devel tools to /usr/bin
/
/* Wed Apr 18 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add /usr/lib/mozilla/plugins to LD_LIBRARY_PATH in mozilla.sh

* Mon Apr 16 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- (0.8.1-2k)
- version 0.8.1

* Tue Apr  3 2001 Shingo Akagaki <dora@kondara.org>
- (0.8-5k)
- rawhide version

/* Thu Mar 29 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add --without-mng to configure lines to avoid picking up the mng
/library in rawhide.
/
/* Tue Mar 20 2001 Christopher Blizzard <blizzard@redhat.com>
/- Ignore the return value of regxpcom and regchrome.  They will
/  segfault because of binary incompatible changes during upgrades but
/  the last upgrade bits will always work so we should be OK.
/
/* Mon Mar 12 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add chatzilla rpms.
/
/* Wed Mar 07 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add LD_ASSUME_KERNEL hack to mozilla.sh so that the JVM will work.
/
/* Tue Feb 27 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add missing directories to file sections for mozilla and
/  mozilla-psm.
/
/* Fri Feb 16 2001 Christopher Blizzard <blizzard@redhat.com>
/- Remove requires since we have prereq.
/
/* Sat Feb 10 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add xpidl compiler + related tools to the devel package.
/- Check that regxpcom exists in postun sections.  There's no ordering
/  guarantee when you uninstall rpms.
/
/* Mon Feb 05 2001 Christopher Blizzard <blizzard@redhat.com>
/- Turn of parallel builds again.
/
/* Sun Jan 28 2001 Christopher Blizzard <blizzard@redhat.com>
/- Try with parallel builds again.
/- Use --enable-nspr-autoconf
/- In the clean section don't delete the building area.
/
/* Sat Jan 27 2001 Christopher Blizzard <blizzard@redhat.com>
/- Remove hacks for installed-chrome.txt and regchrome.  They are
/  listed in the packages files now.
/
/* Thu Jan 18 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add proper prereq for psm, mail and base package
/- Remove checks for programs before running post and postun
/
/* Tue Jan 16 2001 Christopher Blizzard <blizzard@redhat.com>
/- Check the existence of programs before running post and postun
/  scripts for sub-packages.
/
/* Mon Jan 15 2001 Christopher Blizzard <blizzard@redhat.com>
/- Remove mozilla-specific rdf toolbar items
/
/* Thu Jan 11 2001 Christopher Blizzard <blizzard@redhat.com>
/- Re-add rm in clean
/
/* Tue Jan 09 2001 Christopher Blizzard <blizzard@redhat.com>
/- Change tip serial to 8 and 0.7 release serial to 7.  This way we can
/  do upgrades properly.
/
/* Mon Jan 08 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add explicit paths for rm and mkdir
/
/* Sat Jan 06 2001 Christopher Blizzard <blizzard@redhat.com>
/- Remove patch for -fshort-wchar problems and use
/  --disable-short-wchar until the next compiler release.
/- Use cooler icons.
/
/* Tue Jan 02 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add patch to get default home page on 6.2 builds, too.
/
/* Mon Jan 01 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add patch to point default page at local file system and to point
/  mailnews at about:blank.
/
/* Mon Jan 01 2001 Christopher Blizzard <blizzard@redhat.com>
/- Add patch to remove debug menu from preferences.
/
/* Sun Dec 31 2000 Christopher Blizzard <blizzard@redhat.com>
/- Add patch to support building psm on ppc.
/
/* Fri Dec 29 2000 Christopher Blizzard <blizzard@redhat.com>
/- Add autoconf check for bad -fshort-wchar support in compiler.
/- Clean up a lot of cruft in the spec file that I don't need anymore.
/- Make regxpcom generated files non-config so that they aren't saved
/  as .rpmsave files.
/
/* Thu Dec 28 2000 Christopher Blizzard <blizzard@redhat.com>
/- Change the sparc patch to support sparc + sparc64.
/
/* Thu Dec 28 2000 Christopher Blizzard <blizzard@redhat.com>
/- Don't remove the CVS directories anymore since we're using the
/  package files now.
/
/* Thu Dec 28 2000 Christopher Blizzard <blizzard@redhat.com>
/- Breakout psm
/- Re-add the sparc config patch.
/
/* Wed Dec 20 2000 Christopher Blizzard <blizzard@redhat.com>
/- Add a bunch of dir entries to make sure that we don't leave a lot of
/  crap behind when we uninstall the rpm.
/
/* Tue Dec 19 2000 Christopher Blizzard <blizzard@redhat.com>
/- Finish with mail/news breakout.
/- Move component registration to package install time instead of at
/  package build time.
/
/* Wed Dec 13 2000 Christopher Blizzard <blizzard@redhat.com>
/- Break out mail/news
/
/* Tue Dec 12 2000 Christopher Blizzard <blizzard@redhat.com>
/- Remove Debug menus from mail/news, browser and editor.
/
/* Mon Dec 11 2000 Christopher Blizzard <blizzard@redhat.com>
/- Add new mozilla.sh script that tries to send commands to a running
/  instance first.
/- Add desktop files and icons.
/
/* Tue Dec 05 2000 Christopher Blizzard <blizzard@redhat.com>
/- Build on only one CPU until the parallel build problems are worked
/  out.
/- Don't try to build on ai64

* Fri Feb 16 2001 Yoshito Komatsu <yoshito.komatsu@nifty.com>
- (0.8-3k)
- update to 0.8.
- enable irc.

* Sat Jan 20 2001 Yoshito Komatsu <yoshito.komatsu@nifty.com>
- (0.7-9k)
- add JLP.
- modify kaigyo patch.
- add more patch from bugzilla.
- clean spec file.

* Wed Jan 17 2001 Yoshito Komatsu <yoshito.komatsu@nifty.com>
- (0.7-7k)
- modify patch from bugzilla.
- modify font patch.
- modify desktop entry.

* Tue Jan 16 2001 Yoshito Komatsu <yoshito.komatsu@nifty.com>
- (0.7-5k)
- enable psm.
- change version & url.
- add patch(bugzilla 63081,63789).

* Sun Jan 14 2001 Yoshito Komatsu <yoshito.komatsu@nifty.com>
- (5.0-0.0070005k)
- add desktop entry for GNOME.

* Thu Dec 14 2000 Yoshito Komatsu <yoshito.komatsu@nifty.com>
- (5.0-0.0060003k)
- update to mozilla0.6.

* Mon Dec  4 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (5.0-0.0018005k)
- enable to build on Alpha and Mary(2.0). Thanx > a!

* Tue Nov 28 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- fix URL
- change version & release

* Thu Oct 26 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build with new fileutils

* Fri Oct 13 2000 Christopher Blizzard <blizzard@redhat.com>
- Move to post M18 builds

* Mon Oct 2 2000 Christopher Blizzard <blizzard@redhat.com>
- start daily builds - remove the old patches
- delete installed directories for chrome since everything
  is in jar files now.

* Fri Aug 18 2000 Matt Wilson <msw@redhat.com>
- added patch to work around va_arg mess on gcc 2.96

* Wed Aug  9 2000 Christopher Blizzard <blizzard@redhat.com>
- Use official M17 source tarball

* Tue Aug  8 2000 Christopher Blizzard <blizzard@redhat.com>
- Add patch to fix crash when viewing some rgba images
- Add patch to fix sign warnings in gtkmozembed.h header

* Mon Aug  7 2000 Christopher Blizzard <blizzard@redhat.com>
- Build M17 official
- Add patch to fix crash when viewing some png images
- Add patch to fix context menu popup grab behaviour
- Add patch to fix focus problems with the file upload widget

* Thu Jul 27 2000 Christopher Blizzard <blizzard@redhat.com>
- Update to M17 snapshot

* Mon Jul 24 2000 Christopher Blizzard <blizzard@redhat.com>
- Update to most recent snapshot
- Added chrome rdf hacks

* Tue Mar 14 2000 Bernhard Rosenkrvczer <bero@redhat.com>
- initial RPM
